Getting error on running perl file ".pl"

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Getting error on running perl file ".pl"

Postby Gowranga » 21. January 2009 11:55

Hello,

I have installed xampp-linux-1.6.8a on a debian system
and have the following configured:

Apache/2.2.9 (Unix) DAV/2 mod_ssl/2.2.9 OpenSSL/0.
9.8h PHP/5.2.6 mod_apreq2-20051231/2.6.0 mod_perl/2.0.4 Perl/v5.10.0

I do not get any error when I run "printenv" program, via web, but if the same program
is renamed as somename.pl,
I get the error as:

failed to resolve handler `Mod
Perl::PerlRunPrefork': Can't load '/usr/lib/perl5/auto/Apache2/ServerUtil/ServerUtil.s
o' for module Apache2::ServerUtil: /usr/lib/perl5/auto/Apache2/ServerUtil/ServerUtil.s
o: cannot open shared object file: No such file or directory at /opt/lampp/lib/perl5/5
.10.0/i686-linux/XSLoader.pm line 64.\n at /usr/lib/perl5/Apache2/XSLoader.pm line 30\
nCompilation failed in require at /usr/lib/perl5/ModPerl/RegistryCooker.pm line 29.\nB
EGIN failed--compilation aborted at /usr/lib/perl5/ModPerl/RegistryCooker.pm line 29.\
nCompilation failed in require at (eval 4) line 3.\n\t...propagated at /opt/lampp/lib/
perl5/5.10.0/base.pm line 93.\nBEGIN failed--compilation aborted at /usr/lib/perl5/Mod
Perl/PerlRun.pm line 25.\nCompilation failed in require at (eval 3) line 3.\n\t...prop
agated at /opt/lampp/lib/perl5/5.10.0/base.pm line 93.\nBEGIN failed--compilation abor
ted at /usr/lib/perl5/ModPerl/PerlRunPrefork.pm line 8.\nCompilation failed in require
at (eval 2) line 3.\n

The PERL5LIB environ is /opt/lampp/lib/perl5:/usr/lib/perl5

I tried including the following in httpd.conf

<Files *.pl>
SetHandler perl-script
PerlResponseHandler ModPerl::Registry
Options +ExecCGI
PerlOptions +ParseHeaders
</Files>

but still, I get the same error. Kindly suggest some remedy.

Thanks

-gowranga
Gowranga
 
Posts: 1
Joined: 21. January 2009 11:12

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 4 guests